Summary:	X.org video driver for video4linux cards
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart video4linux
Name:		xorg-driver-video-v4l
Version:	0.3.0
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/driver/xf86-video-v4l-%{version}.tar.bz2
# Source0-md5:	167b82a486859dafd076ec0ab12d7d40
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for video4linux cards. It provides a Xvideo
extension port for video overlay. This driver works with every piece
of hardware which is supported by a video4linux (kernel-) device
driver and is able to handle video overlay. bt848/bt878-based TV cards
are the most popular hardware these days.

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart video4linux. Udostępnia port
rozszerzenia Xvideo dla nakładki obrazu. Działa z każdym kawałkiem
sprzętu obsługiwanym przez sterownik jądra video4linux, potrafiącym
obsłużyć nakładkę obrazu. Najpopularniejsze z nich to karty
telewizyjne bt848/bt878.

%prep
%setup -q -n xf86-video-v4l-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/v4l_drv.so
%{_mandir}/man4/v4l.4*
%changelog
* Sun Oct 31 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-v4l.git;a=log;h=master

* Sun Oct 31 2021 Jan Rękorajski <baggins@pld-linux.org> 178762c
- rebuil with xorg-xserver-server 21.1.0

* Mon Aug 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 3b6c1bb
- updated to 0.3.0
- removed obsolete support_v4l2_only_drivers,am,build-fix patches

* Mon May 14 2018 Jan Rękorajski <baggins@pld-linux.org> 807474d
- release 23 (by relup.sh)

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> 358f116
- release 22 (by relup.sh)

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 72c84d4
- release 21 (by relup.sh)

* Sun Feb 22 2015 Jan Rękorajski <baggins@pld-linux.org> a35719e
- fix building with xserver 1.17
- rel 20

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a69e93
- due to xserver 1.17
- release 19 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9fa7a19
- xserver rebuild
- release 18 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> fa96c68
- xserver rebuild
- release 17 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> e240f0e
- release 16 (by relup.sh)

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> 99af6b9
- port driver to v4l2, patch from Fedora, without it this driver was useless
- rel 15

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> db5a8c0
- fix building with latest automake

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> cd962fb
- release 14 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 199ac94
- release 13 (by relup.sh)

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 860f141
- release 12

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e08b834
- release 11

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> 174f1e6
- xorg-driver-video virtual for video drivers
- release 10

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ab1a9f
- release 9

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 88ed3cc
- rel up

* Mon Aug 30 2010 Jakub Bogusz <qboosh@pld-linux.org> b6ff2d1
- use requires_xorg_* macros in a way which allows to check rpm-build-macros BR first

